#ifndef TBLMGR_INCLUDED
#define TBLMGR_INCLUDED

#define T_MAXELEMENTS  512

enum entry_states
{
    ENTRY_USED,     ENTRY_UNUSED
};

typedef struct 
{
    unsigned short status;     // entry used/unused
    unsigned short port;     
} TableTag;


int IsTblElement(unsigned short);
int RegisterTblElement(unsigned short port);
int UnRegisterElement(int entry);
TableTag *GetDataFromEntry(int entry);
int VerifyElements(int);


#endif  //TBLMGR_INCLUDED
